org.apache.poi.sl.usermodel

## Interface Hyperlink<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>

- All Superinterfaces:
    Hyperlink

      public interface Hyperlink<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>
      extends Hyperlink

  A PowerPoint hyperlink
  Since:
    POI 3.14 beta 2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `linkToEmail(java.lang.String emailAddress)` Link to an email
    `void` | `linkToFirstSlide()` Link to the first slide in this slideshow
    `void` | `linkToLastSlide()` Link to the last slide in this slideshow
    `void` | `linkToNextSlide()` Link to the next slide (relative from the current)
    `void` | `linkToPreviousSlide()` Link to the previous slide (relative from the current)
    `void` | `linkToSlide(Slide<S,P> slide)` Link to a slide in this slideshow
    `void` | `linkToUrl(java.lang.String url)` Link to a web page / URL

    - ### Methods inherited from interface org.apache.poi.common.usermodel.Hyperlink

      `getAddress, getLabel, getType, getTypeEnum, setAddress, setLabel`

- - ### Method Detail

    - #### linkToEmail

          void linkToEmail(java.lang.String emailAddress)

      Link to an email
      Parameters:
        `emailAddress` - the email address
      Since:
        POI 3.14-Beta2

    - #### linkToUrl

          void linkToUrl(java.lang.String url)

      Link to a web page / URL
      Parameters:
        `url` - the url
      Since:
        POI 3.14-Beta2

    - #### linkToSlide

          void linkToSlide(Slide<S,P> slide)

      Link to a slide in this slideshow
      Parameters:
        `slide` - the linked slide
      Since:
        POI 3.14-Beta2

    - #### linkToNextSlide

          void linkToNextSlide()

      Link to the next slide (relative from the current)
      Since:
        POI 3.14-Beta2

    - #### linkToPreviousSlide

          void linkToPreviousSlide()

      Link to the previous slide (relative from the current)
      Since:
        POI 3.14-Beta2

    - #### linkToFirstSlide

          void linkToFirstSlide()

      Link to the first slide in this slideshow
      Since:
        POI 3.14-Beta2

    - #### linkToLastSlide

          void linkToLastSlide()

      Link to the last slide in this slideshow
      Since:
        POI 3.14-Beta2

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.